Skip to content

CreateNewEntitlementFromTemplate

POST
/api/v1/provision/admin/entitlements/templates/from-template
curl --request POST \
--url https://api.monetizeit.example/api/v1/provision/admin/entitlements/templates/from-template \
--header 'Content-Type: application/json-patch+json' \
--data '{ "entitlementTemplateId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "fromEntitlementTemplateName": "example", "withEntitlementTemplateVersion": "example", "entitlementParameters": { "customerContactEmail": "example", "customerContactName": "example", "legalNoticeHtml": "example", "description": "example", "name": "example", "version": "example", "isTrial": true, "isRevoked": true, "isTemplateForNewEntitlements": true, "customerId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "orderId": "example", "reference": "example", "licenseKey": "example" }, "licenseActivationWorkflowParameters": { "requiredAuthenticationLevel": 1, "preAuthorizedDevices": [ "example" ], "maxDeviceActivations": 1, "fingerprint": "example", "activationCode": "example", "email": "example", "isTrialActivation": true, "useEntitlementMaxActivations": true, "requiresUserConsent": true, "userId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "sendUserNotification": true, "organizationGroupId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "expirationTimeStamp": "2026-04-15T12:00:00Z" } }'
  • oidc
    email profile roles
object
entitlementTemplateId
string format: uuid
fromEntitlementTemplateName
string
withEntitlementTemplateVersion
string
entitlementParameters
object
customerContactEmail
string
customerContactName
string
legalNoticeHtml
string
description
string
name
string
version
string
isTrial
boolean
isRevoked
boolean
isTemplateForNewEntitlements
boolean
customerId
string format: uuid
orderId
string
reference
string
licenseKey
string
licenseActivationWorkflowParameters
object
requiredAuthenticationLevel
integer format: int32
Allowed values: 1 2 3
preAuthorizedDevices
Array<string>
maxDeviceActivations
integer format: int32
fingerprint
string
activationCode
string
email
string
isTrialActivation
boolean
useEntitlementMaxActivations
boolean
requiresUserConsent
boolean
userId
string format: uuid
sendUserNotification
boolean
organizationGroupId
string format: uuid
expirationTimeStamp
string format: date-time

OK